.products {
  padding-bottom: 1px;

  .products__wrapper {
    margin: 40px 0;

    .products__search {
      display: grid;
      grid-template-columns: repeat(
        auto-fill,
        minmax(max(0%, 50% - 24px), 1fr)
      );
      margin-bottom: 45px;

      .products__search-text {
        display: flex;
        align-items: center;
        color: #3b3b3b;

        .products__search-text-icon {
          margin-right: 10px;
          font-size: 1.2rem;
        }

        p {
          font-weight: 500;
          font-size: 1.6rem;
          line-height: 31px;
        }
      }

      .products__search-input {
        display: flex;
        align-items: center;

        input {
          padding: 7px 15px;
          width: 100%;
          border-radius: 15px;
          border: none;
          transform: translateX(18px);
        }

        .products__search-input-icon {
          transform: translateX(-12px);
          color: #b0b0b0;
        }

        button {
          background-color: transparent;
          border: none;
          padding: 0px;
          transform: translateX(2px);
        }
      }
    }

    .products__content {
      .products-grid__block {
        display: grid;
        grid-template-columns: repeat(
          auto-fill,
          minmax(max(200px, 33% - 24px), 1fr)
        );
        gap: 20px;

        .products-grid__block-item {
          background-color: #fff;
          box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
          border-radius: 15px;
          padding: 20px 25px;

          .products-grid__item-info {
            display: flex;
            justify-content: space-between;
            align-items: center;
            border-bottom: 1px solid #b0b0b0;
            padding-bottom: 15px;

            .products-grid__item-info-logo {
              display: flex;
              align-items: center;

              .products-item-info__img {
                margin-right: 10px;

                img {
                  width: 43px;
                  object-fit: cover;
                }
              }

              .products-item-info__text {
                .products-item-info__text-link {
                  font-weight: 600;
                  font-size: 1.3rem;
                  line-height: 24px;
                  color: #0798d4;
                }

                p {
                  font-weight: 400;
                  font-size: 0.9rem;
                  color: #7e7e7e;
                  max-height: 2rem;
                  line-height: 1rem;
                  overflow: hidden;
                  display: -webkit-box;
                  -webkit-box-orient: vertical;
                  -webkit-line-clamp: 1;
                }
              }
            }

            .products-grid__item-icon {
              color: #c4c4c4;
              border-radius: 2px;
              font-size: 1.4rem;
            }

            .products-grid__item-icon.liked {
              color: #0798d4;
            }
          }

          .products-grid__item-value {
            .products-value__infor {
              margin: 18px 0;

              .products-value__infor-item-top {
                margin-bottom: 30px;

                h4 {
                  font-weight: 600;
                  font-size: 1.1rem;
                  line-height: 20px;
                  color: #5baa5f;
                  margin-bottom: 2px;
                }

                p {
                  font-weight: 400;
                  font-size: 0.9rem;
                  line-height: 15px;
                  color: #7e7e7e;
                }
              }

              .products-value__infor-item-bottom {
                h4 {
                  color: #3b3b3b;
                  font-weight: 600;
                  font-size: 1.1rem;
                  line-height: 20px;
                  margin-bottom: 2px;
                }

                p {
                  font-weight: 400;
                  font-size: 0.9rem;
                  line-height: 15px;
                  color: #7e7e7e;
                }
              }
            }

            .products-value__buy {
              display: flex;
              align-items: center;
              text-align: center;
              justify-content: space-between;

              .products-value__buy-text {
                font-weight: 400;
                font-size: 0.9rem;
                line-height: 15px;
                color: #7e7e7e;

                strong {
                  font-weight: 600;
                  font-size: 0.9rem;
                  line-height: 15px;
                  padding-left: 10px;

                  color: #7e7e7e;
                }
              }

              button {
                border: none;
                background: #0798d4;
                border-radius: 31.5px;
                color: #fff;
                font-size: 0.9rem;
                padding: 8px 40px;
              }
            }
          }
        }
      }
    }
  }
}

.products__pagination {
  margin: 25px 0 0;
}

.products__tabs-list {
  display: flex;
  align-items: center;
  margin-bottom: 36px;
  overflow-x: auto;
  overflow-y: hidden;

  .products-tabs__list-item {
    margin-right: 40px;

    .products-tabs__list-item-link {
      color: #a5a5a5;
      font-weight: 500;
      font-size: 1.2rem;
      line-height: 25px;
    }

    &.active {
      .products-tabs__list-item-link {
        color: #0798d4;
        border-bottom: 1px solid #0798d4;
        padding-bottom: 10px;
      }
    }
  }
}

.products-view {
  background: #f5f5f5;

  .products-view__top {
    background-image: linear-gradient(to right, rgb(81 12 117), rgb(53 33 174));

    .products-view__top-wrapper {
      background: url("../../public/assets/images/background.svg");
      padding: 42px 0 170px;
      height: 382px;
    }

    .products-view__top-container {
      display: flex;
      align-items: center;

      .products-view__top-avatar {
        margin-right: 35px;

        img {
          border-radius: 50%;
          width: 170px;
          height: 170px;
          object-fit: cover;
        }
      }

      .products-view__top-info {
        h3 {
          font-weight: 700;
          font-size: 2.9rem;
          line-height: 53px;
          color: #0798d4;
          padding-bottom: 25px;
          position: relative;

          &::after {
            content: "";
            position: absolute;
            width: 100%;
            left: 0;
            bottom: -5px;
            border-bottom: 1px solid #0798d4;
          }
        }
        .products-view__top-list {
          display: flex;
          align-items: center;
          margin-top: 30px;

          .products-view__top-list-item {
            position: relative;
            cursor: pointer;

            &:not(:last-child) {
              margin-right: 100px;
            }

            // .products-view__top-list-link {
            font-weight: 600;
            font-size: 1.25rem;
            line-height: 24px;
            color: #0798d4;
            // }

            &.free-trial {
              color: #0798d4;

              &::after {
                content: "";
                position: absolute;
                width: 20px;
                left: 0;
                bottom: -5px;
                border-bottom: 1px solid #0798d4;
              }
            }

            &.buy {
              color: #ff9e0d;

              &::after {
                content: "";
                position: absolute;
                width: 20px;
                left: 0;
                bottom: -5px;
                border-bottom: 1px solid #ff9e0d;
              }
            }

            &.rent {
              color: #f05974;

              &::after {
                content: "";
                position: absolute;
                width: 20px;
                left: 0;
                bottom: -5px;
                border-bottom: 1px solid #f05974;
              }
            }

            &.free {
              color: #5baa5f;

              &::after {
                content: "";
                position: absolute;
                width: 20px;
                left: 0;
                bottom: -5px;
                border-bottom: 1px solid #5baa5f;
              }
            }
          }
        }
      }
    }
  }

  .products-view__content {
    transform: translateY(-125px);

    .products-view__wrapper-top {
      padding: 25px 50px 45px;
      background: #fff;
      box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    }

    .products-view__wrapper-bottom {
      padding: 10px 50px 50px;
      background: #fff;
      border-bottom-left-radius: 15px;
      border-bottom-right-radius: 15px;
      box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    }

    .products-view__social {
      display: flex;
      align-items: center;
      justify-content: end;
      margin-bottom: 30px;

      .products-view__social-item {
        display: flex;
        align-items: center;
        padding: 5px 20px;
        background: #ffffff;
        border-radius: 5px;

        &:not(:last-child) {
          margin-right: 10px;
        }

        .products-view__social-icon {
          margin-right: 8px;
        }

        .like {
          color: #ff9e0d;
        }

        .facebook {
          color: #4366aa;
        }

        .twitter {
          color: #0b98d4;
        }

        p {
          font-weight: 500;
          font-size: 0.8rem;
          line-height: 14px;
          color: #3b3b3b;
        }
      }
    }

    .products-view__info {
      border-radius: 15px;
      overflow: hidden;
      // box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);

      .products-view__info-list {
        display: flex;
        align-items: center;
        justify-content: space-between;
        overflow-x: auto;
        overflow-y: hidden;
        height: 35px;

        .products-view__info-list-item {
          position: relative;
          color: #a5a5a5;
          font-weight: 600;
          font-size: 1.32rem;
          line-height: 25px;
          cursor: pointer;

          &.active {
            color: #0798d4;

            &::after {
              content: "";
              position: absolute;
              width: 50%;
              border-bottom: 3px solid #0798d4;
              bottom: -5px;
              left: 0;
            }
          }

          &:hover {
            color: #0798d4;
          }
        }
      }

      .products-view__overview-content {
        margin-bottom: 45px;
      }

      .products-view__overview-buy {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 58px 0 33px;
        border-top: 1px solid #b0b0b0;

        .products-view__overview-buy-item {
          display: flex;
          align-items: center;
          border: none;
          border-radius: 32px;
          padding: 8px 15px;
          width: 233px;
          height: 63px;

          .products-view__overview-buy-img {
            margin-right: 10px;
            object-fit: cover;
          }

          .products-view__overview-buy-text {
            color: #fff;
            text-align: start;

            h5 {
              font-weight: 600;
              font-size: 1.32rem;
              line-height: 25px;
              margin-bottom: 3px;
            }

            p {
              font-weight: 400;
              font-size: 0.87rem;
              line-height: 16px;
              letter-spacing: -0.03em;
            }
          }
        }

        .free-trial {
          background: #54beea;
        }

        .buy {
          background: #ffbb55;
        }

        .rent {
          background: #ff8197;
        }

        .free {
          background: #78c17c;
        }
      }

      .products-view__backtest {
        padding: 10px 0 50px;
        background: #fff;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
        box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);

        .products-view__backtest-swiper {
          > .swiper-button-prev {
            background: url("../../public/assets/images/Polygon\ 5.svg")
              no-repeat;
            width: 56px;
            height: 56px;
            margin-top: -30px;
          }

          > .swiper-button-next {
            background: url("../../public/assets/images/Polygon\ 4.svg")
              no-repeat;
            width: 56px;
            height: 56px;
            margin-top: -30px;
            transform: translateX(32px);
          }

          .swiper-wrapper {
            margin-bottom: 60px;

            .products-view__backtest-swiper-item {
              text-align: center;

              img {
                width: 75%;
                height: auto;
              }
            }
          }
        }
      }
    }

    .products-view__realtime {
      .home__chart {
        border-top-right-radius: 0;
        border-top-left-radius: 0;
        padding: 0 37px 15px;

        .home-chart__logo {
          background-color: #fff;
          padding: 0 0 15px;
          border-bottom: 1px solid #b0b0b0;
        }

        .home-chart__row {
          padding: 0;
        }
      }

      .products-view__wrapper-bottom {
        margin-top: 30px;
        border-radius: 15px;
        padding: 25px 50px 45px;

        .products-view__info-list {
          justify-content: start;
          margin-bottom: 50px;

          .products-view__info-list-item {
            margin-right: 65px;
          }
        }
      }

      .products-view__realtime-history {
        .products-view__realtime-filter {
          display: flex;
          align-items: center;
          justify-content: end;
          margin-bottom: 25px;

          .products-view__realtime-filter-item {
            margin-left: 90px;
            display: flex;
            align-items: center;
            justify-content: space-around;
            cursor: pointer;
            position: relative;

            select {
              width: 165px;
              height: 40px;
              background: #efefef;
              border-radius: 19px;
              border: none;
              font-weight: 400;
              font-size: 13px;
              line-height: 15px;
              padding: 0 20px 0 40px;
              color: #3b3b3b;
              appearance: none;

              option {
                font-weight: 400;
                font-size: 13px;
                line-height: 15px;
                color: #3b3b3b;
              }
            }

            .products-view__realtime-filter-custom {
              position: absolute;
              right: 12px;
            }

            .products-view__realtime-filter-icon {
              font-size: 1.32rem;
              position: absolute;
              left: 12px;
              top: 8px;
            }

            .products-view__realtime-filter-img {
              position: absolute;
              left: 8px;
              z-index: 1;
              object-fit: cover;
            }

            .react-datepicker-wrapper {
              .react-datepicker__input-container {
                input {
                  width: 165px;
                  height: 40px;
                  border-radius: 19px;
                  border: none;
                  background: #efefef;
                  padding: 0 45px;
                  font-size: 13px;
                }
              }
            }
          }
        }

        .table-responsive {
          border-radius: 15px 15px 0px 0px;

          .products-view__realtime-table {
            thead {
              background-color: #3b3b3b;
              tr {
                th {
                  font-weight: 600;
                  font-size: 0.8rem;
                  line-height: 15px;
                  color: #0798d4;
                  text-transform: uppercase;
                  padding: 20px 3px;
                  vertical-align: middle;

                  &:first-child {
                    padding: 20px 5px 20px 10px;
                  }

                  &:last-child {
                    padding: 20px 10px 20px 5px;
                  }
                }

                .fix-width-100 {
                  width: 100px;
                }
              }
            }

            tbody {
              tr {
                td {
                  font-weight: 400;
                  font-size: 0.7rem;
                  line-height: 12px;
                  letter-spacing: -0.02em;
                  color: #000000;
                  padding: 15px 5px;
                  vertical-align: middle;

                  &:first-child {
                    padding: 15px 0px 15px 10px;
                  }

                  &:last-child {
                    padding: 15px 10px 15px 5px;
                  }
                }
              }

              .red-color {
                color: #f05974;
              }

              .green-color {
                color: #5baa5f;
              }
            }

            tfoot {
              tr {
                td {
                  font-weight: 600;
                  font-size: 0.85rem;
                  line-height: 15px;
                  letter-spacing: -0.02em;
                  color: #3b3b3b;
                }
              }
            }
          }
        }
      }
    }

    .products-view__FQA {
      border: 1px dotted #666;
      border-radius: 15px;
      margin-bottom: 20px;
      cursor: pointer;

      .products-view__FQA-question {
        display: flex;
        align-items: center;
        border: 1px dotted #666;
        border-radius: 15px;
        padding: 5px 20px;
        background-color: #f0f0f0;

        .products-view__FQA-question-icon {
          margin-right: 12px;
        }

        p {
          font-size: 1rem;
          font-weight: 500;
        }
      }

      .products-view__FQA-answer {
        display: none;
        padding: 10px 20px 15px;
        font-weight: 300;
        font-size: 1rem;

        ul {
          list-style-type: disc;
          padding-inline-start: 40px;
        }
      }

      .show-content {
        display: block;
      }
    }
  }

  .products-view__slide {
    padding: 25px 50px 0;
    text-align: center;

    h3 {
      color: #0798d4;
      font-weight: 600;
      font-size: 1.9rem;
      line-height: 58px;
      margin: 0 0 25px;
    }

    .products-view__slide-swiper {
      padding: 0 40px;

      > .swiper-button-prev {
        background: url("../../public/assets/images/pre.svg") no-repeat;
        width: 56px;
        height: 56px;
        margin-top: -30px;
      }

      > .swiper-button-next {
        background: url("../../public/assets/images/next.svg") no-repeat;
        width: 56px;
        height: 56px;
        margin-top: -30px;
      }

      .swiper-wrapper {
        align-items: center;

        .products-view__slide-swiper-item {
          .products-view__slide-swiper-link {
            max-width: 147px;
            margin: unset;
            margin-left: auto;
            margin-right: auto;
          }

          img {
            border-radius: 50%;
            width: 107px;
            height: 107px;
            object-fit: cover;
          }
        }
      }
    }
  }
}

.product-statistics {
  .list-group.list-group-flush {
    > .list-group-item {
      border-radius: 0.25rem;
      &:last-child {
        border-width: 0 0 1px;
      }
    }
  }
}

.product-view-general-analytics:has(> *:first-child:nth-last-child(2)) {
  display: grid;
  grid-gap: 5px;
  grid-auto-flow: dense;
  grid-template-columns: repeat(auto-fit, minmax(min(250px, 100%), 1fr));

  > *:first-child {
    grid-column: span 2;
  }
}

@media (max-width: 1690px) {
}

@media (max-width: 1200px) {
  .products {
    .products__wrapper {
      .products__content {
        .products-grid__block {
          .products-grid__block-item {
            .products-grid__item-info {
              .products-grid__item-info-logo {
                .products-item-info__img {
                  img {
                    width: 40px;
                  }
                }

                .products-item-info__text {
                  .products-item-info__text-link {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.7rem;
                  }
                }
              }
            }

            .products-grid__item-value {
              .products-value__infor {
                margin: 18px 0;

                .products-value__infor-item-top {
                  margin-bottom: 20px;

                  h4 {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }

                .products-value__infor-item-bottom {
                  h4 {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }
              }

              .products-value__buy {
                .products-value__buy-text {
                  strong {
                    padding-left: 5px;
                  }
                }

                button {
                  padding: 5px 35px;
                }
              }
            }
          }
        }
      }
    }
  }

  .products-view {
    .products-view__top {
      .products-view__top-wrapper {
        padding: 50px 0 145px;
        height: 350px;
      }

      .products-view__top-container {
        .products-view__top-avatar {
          margin-right: 30px;

          img {
            width: 150px;
            height: 150px;
          }
        }

        .products-view__top-info {
          h3 {
            font-size: 2.6rem;
            height: 50px;
            padding-bottom: 20px;
          }

          .products-view__top-list {
            margin-top: 25px;
          }
        }
      }
    }

    .products-view__content {
      .products-view__wrapper-top {
        padding: 25px 40px 20px;
      }

      .products-view__wrapper-bottom {
        padding: 5px 40px 35px;
      }

      .products-view__info {
        .products-view__info-list {
          .products-view__info-list-item {
            font-size: 1.2rem;
            line-height: 22px;

            &.active {
              &::after {
                bottom: -5px;
              }
            }
          }
        }
      }
    }

    .products-view__slide {
      padding: 30px 35px 0;

      .products-view__slide-swiper {
        padding: 0 32px;

        > .swiper-button-prev {
          transform: translate(-10px, 10px);
          background-size: 40px;
        }

        > .swiper-button-next {
          transform: translate(25px, 10px);
          background-size: 40px;
        }

        .swiper-wrapper {
          .products-view__slide-swiper-item {
            .products-view__slide-swiper-link {
              img {
                width: 60%;
                height: auto;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .products {
    .products__wrapper {
      .products__content {
        .products-grid__block {
          grid-template-columns: repeat(
            auto-fill,
            minmax(max(270px, 50% - 24px), 1fr)
          );
          grid-gap: 24px;

          .products-grid__block-item {
            padding: 15px 25px;

            .products-grid__item-info {
              .products-grid__item-info-logo {
                .products-item-info__img {
                  margin-right: 10px;

                  img {
                    width: 40px;
                  }
                }

                .products-item-info__text {
                  .products-item-info__text-link {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.7rem;
                  }
                }
              }
            }

            .products-grid__item-value {
              .products-value__infor {
                .products-value__infor-item-top {
                  h4 {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }

                .products-value__infor-item-bottom {
                  h4 {
                    font-size: 1rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }
              }

              .products-value__buy {
                .products-value__buy-text {
                  font-size: 0.9rem;

                  strong {
                    font-size: 0.9rem;
                    padding-left: 5px;
                  }
                }

                button {
                  font-size: 0.9rem;
                  padding: 5px 30px;
                }
              }
            }
          }
        }
      }
    }
  }

  .products-view {
    margin-bottom: -25px;

    .products-view__top {
      .products-view__top-wrapper {
        padding: 50px 0 120px;
        height: 320px;
      }

      .products-view__top-container {
        .products-view__top-avatar {
          margin-right: 20px;

          img {
            width: 120px;
            height: 120px;
          }
        }

        .products-view__top-info {
          h3 {
            font-size: 2.4rem;
            padding-bottom: 15px;
            line-height: 45px;
            height: 45px;

            &::after {
              bottom: -8px;
            }
          }

          .products-view__top-list {
            margin-top: 20px;

            .products-view__top-list-item {
              line-height: 22px;

              &:not(:last-child) {
                margin-right: 60px;
              }
            }
          }
        }
      }
    }

    .products-view__content {
      .products-view__wrapper-top {
        padding: 25px 35px 15px;
      }

      .products-view__wrapper-bottom {
        padding: 5px 35px 30px;
      }

      .products-view__info {
        .products-view__info-list {
          padding-bottom: 15px;
          height: auto;

          .products-view__info-list-item {
            &:not(:last-child) {
              min-width: 140px;
            }

            &:not(:last-child) {
              margin-right: 30px;
            }
          }
        }

        .products-view__backtest {
          padding: 10px 0;
        }
      }

      .products-view__realtime {
        .products-view__wrapper-bottom {
          .products-view__info-list {
            margin-bottom: 40px;
          }
        }

        .products-view__realtime-history {
          .products-view__realtime-filter {
            .products-view__realtime-filter-item {
              margin-left: 24px;
            }
          }
        }
      }

      .products-view__FQA {
        .products-view__FQA-question {
          p {
            font-size: 0.9rem;
          }
        }

        .products-view__FQA-answer {
          font-size: 0.9rem;
        }
      }
    }

    .products-view__slide {
      .products-view__slide-swiper {
        padding: 0 23px;
      }
    }
  }
}

@media (max-width: 767.98px) {
  .products {
    .products__wrapper {
      .products__search {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: 30px;

        .products__search-text {
          width: 100%;
          margin-bottom: 15px;

          .products__search-text-icon {
            font-size: 1.1rem;
            margin-right: 8px;
          }

          p {
            font-size: 1.4rem;
          }
        }

        .products__search-input {
          width: 100%;
          position: relative;

          input {
            transform: translateX(0);
            padding: 5px 15px;
          }

          .products__search-input-icon {
            position: absolute;
            bottom: -8px;
            right: 5px;
          }
        }
      }

      .products__content {
        .products-grid__block {
          .products-grid__block-item {
            padding: 20px;

            .products-grid__item-info {
              padding-bottom: 12px;

              .products-grid__item-info-logo {
                .products-item-info__img {
                  img {
                    width: 40px;
                  }
                }

                .products-item-info__text {
                  .products-item-info__text-link {
                    font-size: 1.1rem;
                    line-height: 30px;
                  }

                  p {
                    font-size: 0.8rem;
                    line-height: 18px;
                  }
                }
              }
            }

            .products-grid__item-value {
              .products-value__infor {
                .products-value__infor-item-top {
                  margin-bottom: 25px;

                  h4 {
                    font-size: 1.2rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }

                .products-value__infor-item-bottom {
                  h4 {
                    font-size: 1.2rem;
                  }

                  p {
                    font-size: 0.8rem;
                  }
                }
              }

              .products-value__buy {
                .products-value__buy-text {
                  font-size: 1.1rem;

                  strong {
                    font-size: 1.1rem;
                    padding-left: 0px;
                  }
                }

                button {
                  font-size: 1.1rem;
                  padding: 5px 35px;
                }
              }
            }
          }
        }
      }
    }
  }

  .products__tabs-list {
    .products-tabs__list-item {
      min-width: 156px;
      height: 40px;
      text-align: center;
      margin-right: 0;

      .products-tabs__list-item-link {
        font-size: 1rem;
      }

      &.active {
        .products-tabs__list-item-link {
          font-size: 1rem;
        }
      }

      &:first-child {
        min-width: 90px;
        text-align: start;
      }
    }
  }

  .products-view {
    .products-view__top {
      .products-view__top-wrapper {
        padding: 70px 0 250px;
        height: 590px;
      }

      .products-view__top-container {
        flex-wrap: wrap;
        justify-content: center;

        .products-view__top-avatar {
          margin: 0 0 25px 0;

          img {
            width: 210px;
            height: 210px;
          }
        }

        .products-view__top-info {
          min-width: 450px;

          h3 {
            padding-bottom: 30px;
            text-align: center;

            &::after {
              bottom: -10px;
            }
          }

          .products-view__top-list {
            margin-top: 25px;

            .products-view__top-list-item {
              &:not(:last-child) {
                margin-right: 50px;
              }
            }
          }
        }
      }
    }

    .products-view__content {
      .products-view__wrapper-top {
        padding: 25px 30px 10px;
      }

      .products-view__wrapper-bottom {
        padding: 3px 30px 20px;
      }

      .products-view__realtime {
        .products-view__wrapper-bottom {
          .products-view__info-list {
            .products-view__info-list-item {
              min-width: 160px;
            }
          }
        }

        .products-view__realtime-history {
          .products-view__realtime-filter {
            flex-wrap: wrap;
            justify-content: start;
            margin-bottom: 15px;

            .products-view__realtime-filter-item {
              margin-left: 0;
              margin-bottom: 20px;

              &:not(:last-child) {
                margin-right: 20px;
              }

              &:first-child {
                margin-right: 150px;
              }
            }
          }
        }
      }

      .products-view__FQA {
        .products-view__FQA-question {
          .products-view__FQA-question-icon {
            margin-right: 10px;
          }
        }
      }
    }

    .products-view__slide {
      padding: 30px 0px 0;

      h3 {
        font-size: 1.7rem;
        line-height: 45px;
        margin: 0 0 20px;
      }

      .products-view__slide-swiper {
        padding: 0 18px;

        > .swiper-button-prev {
          transform: translate(-10px, 12px);
          background-size: 35px;
        }

        > .swiper-button-next {
          transform: translate(30px, 12px);
          background-size: 35px;
        }
      }
    }
  }
}

@media (max-width: 578px) {
  .products {
    .products__wrapper {
      .products__search {
        .products__search-text {
          p {
            font-size: 1.2rem;
          }
        }
      }

      .products__content {
        .products-grid__block {
          .products-grid__block-item {
            .products-grid__item-info {
              .products-grid__item-info-logo {
                .products-item-info__text {
                  .products-item-info__text-link {
                    font-size: 1rem;
                    line-height: 25px;
                  }

                  p {
                    font-size: 0.7rem;
                  }
                }
              }
            }

            .products-grid__item-value {
              .products-value__infor {
                .products-value__infor-item-top {
                  margin-bottom: 20px;

                  h4 {
                    font-size: 1.1rem;
                  }

                  p {
                    font-size: 0.7rem;
                  }
                }

                .products-value__infor-item-bottom {
                  h4 {
                    font-size: 1.1rem;
                  }

                  p {
                    font-size: 0.7rem;
                  }
                }
              }

              .products-value__buy {
                .products-value__buy-text {
                  font-size: 1rem;

                  strong {
                    font-size: 1rem;
                  }
                }

                button {
                  font-size: 1rem;
                  padding: 5px 30px;
                }
              }
            }
          }
        }
      }
    }
  }

  .products-view {
    .products-view__top {
      .products-view__top-wrapper {
        height: 500px;
      }

      .products-view__top-container {
        .products-view__top-avatar {
          margin: 0 0 20px 0;

          img {
            width: 145px;
            height: 145px;
          }
        }
      }
    }

    .products-view__content {
      .products-view__info {
        .products-view__info-list {
          .products-view__info-list-item {
            font-size: 1rem;

            &:not(:last-child) {
              margin-right: 15px;
            }
          }
        }

        .products-view__backtest {
          padding: 10px 0;
        }
      }
    }

    .products-view__slide {
      padding: 30px 15px 0;

      .products-view__slide-swiper {
        padding: 0 27px;

        > .swiper-button-prev {
          transform: translate(-10px, 7px);
          background-size: 40px;
        }

        > .swiper-button-next {
          transform: translate(25px, 7px);
          background-size: 40px;
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .products-view {
    .products-view__top {
      .products-view__top-wrapper {
        padding: 60px 0 250px;
        height: 480px;
      }

      .products-view__top-container {
        .products-view__top-avatar {
          img {
            width: 140px;
            height: 140px;
          }
        }

        .products-view__top-info {
          min-width: 400px;

          h3 {
            font-size: 2.1rem;
            text-align: center;

            &::after {
              bottom: -8px;
            }
          }

          .products-view__top-list {
            margin-top: 20px;

            .products-view__top-list-item {
              &:not(:last-child) {
                margin-right: 40px;
              }
            }
          }
        }
      }
    }

    .products-view__content {
      .products-view__info {
        .products-view__backtest {
          .products-view__backtest-swiper {
            > .swiper-button-prev {
              display: none;
            }

            > .swiper-button-next {
              display: none;
            }

            .swiper-wrapper {
              .products-view__backtest-swiper-item {
                img {
                  width: 95%;
                }
              }
            }
          }
        }
      }

      .products-view__realtime {
        .products-view__realtime-history {
          .products-view__realtime-filter {
            .products-view__realtime-filter-item {
              &:not(:last-child) {
                margin-right: 15px;
              }

              &:first-child {
                margin-right: 100px;
              }

              select {
                width: 150px;
              }

              .react-datepicker-wrapper {
                .react-datepicker__input-container {
                  input {
                    width: 150px;
                    padding: 0px 15px 0 40px;
                  }
                }
              }
            }
          }
        }
      }
    }

    .products-view__slide {
      padding: 25px 10px 0;

      h3 {
        font-size: 1.5rem;
        line-height: 45px;
      }

      .products-view__slide-swiper {
        padding: 0 24px;

        > .swiper-button-prev {
          transform: translate(-10px, 11px);
          background-size: 38px;
        }

        > .swiper-button-next {
          transform: translate(26px, 11px);
          background-size: 38px;
        }
      }
    }
  }
}

@media (max-width: 430px) {
  .products {
    .products__wrapper {
      .products__search {
        margin-bottom: 25px;

        .products__search-text {
          margin-bottom: 8px;

          .products__search-text-icon {
            font-size: 0.9rem;
            margin-right: 5px;
          }

          p {
            font-size: 1rem;
          }
        }
      }
    }
  }

  .products__tabs-list {
    margin-bottom: 25px;
  }

  .products-view {
    margin-bottom: -55px;

    .products-view__top {
      .products-view__top-wrapper {
        padding: 60px 0 250px;
        height: 450px;
      }

      .products-view__top-container {
        .products-view__top-avatar {
          margin: 0 0 15px 0;

          img {
            width: 135px;
            height: 135px;
          }
        }

        .products-view__top-info {
          min-width: 285px;

          h3 {
            font-size: 1.7rem;

            &::after {
              bottom: -5px;
            }
          }

          .products-view__top-list {
            margin-top: 15px;

            .products-view__top-list-item {
              font-size: 1rem;

              &:not(:last-child) {
                margin-right: 25px;
              }
            }
          }
        }
      }
    }

    .products-view__content {
      .products-view__social {
        margin-bottom: 25px;

        .products-view__social-item {
          padding: 5px 8px;

          &:not(:last-child) {
            margin-right: 10px;
          }

          .products-view__social-icon {
            margin-right: 5px;
            font-size: 0.7rem;
          }

          p {
            font-size: 0.6rem;
          }
        }
      }

      .products-view__realtime {
        .home__chart {
          padding: 0 20px 15px;
        }

        .products-view__realtime-history {
          .products-view__realtime-filter {
            .products-view__realtime-filter-item {
              &:not(:last-child) {
                margin-right: 10px;
              }
            }
          }
        }
      }

      .products-view__FQA {
        .products-view__FQA-question {
          .products-view__FQA-question-icon {
            margin-right: 6px;
          }

          p {
            font-size: 0.7rem;
          }
        }

        .products-view__FQA-answer {
          font-size: 0.7rem;
        }
      }
    }

    .products-view__slide {
      padding: 25px 0px 0;

      h3 {
        font-size: 1.4rem;
        line-height: 45px;
      }

      .products-view__slide-swiper {
        padding: 0 17px;

        > .swiper-button-prev {
          transform: translate(-10px, 15px);
          background-size: 30px;
        }

        > .swiper-button-next {
          transform: translate(35px, 15px);
          background-size: 30px;
        }
      }
    }
  }
}
